Debian Bug report logs - #647742
ITP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sam Hartman <hartmans@debian.org>

Date: Sat, 5 Nov 2011 17:45:05 UTC

Owned by: Sam Hartman <hartmans@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, radsecproxy@packages.debian.org, libevent@packages.debian.org, wnpp@debian.org:
Bug#647742; Package wnpp. (Sat, 05 Nov 2011 17:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, radsecproxy@packages.debian.org, libevent@packages.debian.org, wnpp@debian.org. (Sat, 05 Nov 2011 17:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: submit@bugs.debian.org
Subject: ITP: libradsec - RADIUS over TLS/DTLS/UDP/TCP library
Date: Sat, 5 Nov 2011 13:43:38 -0400 (EDT)
package: wnpp
severity: wishlist

URL: libradsec branch of http://www.project-moonshot.org/gitweb/radsecproxy.git
URL2: http://software.uninett.no/radsecproxy/
Description: libradsec is a library for RADIUS clients and servers
  This library features support for RADSEC (RADIUS over TLS/DTLS) as well as TCP and UDP transports.

License: The following license is a bit misleading because there are
GPL dependencies. So effectively libradsec is distributed under GPL2+. However, the intent is to remove the GPL dependencies in the near future and so the license will look more like
The source code is licensed under two different licenses, a 3-clause
BSD license and the GNU General Public License (version 2 or later).
Users of this library may choose which of these suits them best.


I'm packaging libradsec because Moonshot
(http://www.project-moonshot.org/) depends on it.  It has not been
formally released yet.  It's sort of related to radsecproxy that is
already in Debian in that eventually, libradsec may be used as a
library by radsecproxy. At that point it might make sense for the
libradsec and radsecproxy source packages to be combined. Today,
although they come from the same git repository, they come from
different branches and different places in the directory tree. There
are a couple of header files in common.

I cannot upload libradsec to unstable until libevent 2.x makes its way
into unstable.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#647742; Package wnpp. (Sat, 05 Nov 2011 18:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faidon Liambotis <paravoid@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Nov 2011 18:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 647742@bugs.debian.org (full text, mbox):

From: Faidon Liambotis <paravoid@debian.org>
To: Sam Hartman <hartmans@debian.org>
Cc: 647742@bugs.debian.org
Subject: Re: Bug#647742: ITP: libradsec - RADIUS over TLS/DTLS/UDP/TCP library
Date: Sat, 05 Nov 2011 19:51:54 +0200
Hi Sam,

Hope you're well.

Are you planning on putting the packaging efforts for this on git 
somewhere (e.g. collab-maint?). If so, I'd be happy to contribute, if 
help is needed, either now or when the merging effort with radsecproxy 
starts.

Best regards,
Faidon




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#647742; Package wnpp. (Sat, 05 Nov 2011 20:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Nov 2011 20:00:07 GMT) Full text and rfc822 format available.

Message #15 received at 647742@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Faidon Liambotis <paravoid@debian.org>
Cc: 647742@bugs.debian.org
Subject: Re: Bug#647742: ITP: libradsec - RADIUS over TLS/DTLS/UDP/TCP library
Date: Sat, 05 Nov 2011 15:57:46 -0400
>>>>> "Faidon" == Faidon Liambotis <paravoid@debian.org> writes:

    Faidon> Hi Sam, Hope you're well.

    Faidon> Are you planning on putting the packaging efforts for this
    Faidon> on git somewhere (e.g. collab-maint?). If so, I'd be happy
    Faidon> to contribute, if help is needed, either now or when the
    Faidon> merging effort with radsecproxy starts.

Packaging is on the debian branch of
http://www.project-moonshot.org/git/radsecproxy.git

I'm certainly happy to give you a git account there. I suspect once we
fix the remaining security issues for the moonshot gss mechanism we'll
probably be using moonshot authentication for our moonshot work.  I'd
rather not have to use both Alioth credentials and whatever Moonshot
credentials we end up with in the same project so I'd probably want a
compelling reason before moving the debian packaging to a different
place than the rest of the moonshot sources.




Changed Bug title to 'ITP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library' from 'ITP: libradsec - RADIUS over TLS/DTLS/UDP/TCP library' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 21:28:55 GMT) Full text and rfc822 format available.

Owner recorded as Sam Hartman <hartmans@debian.org>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sam Hartman <hartmans@debian.org>:
Bug#647742; Package wnpp. (Mon, 27 May 2013 14:17:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sam Hartman <hartmans@debian.org>. (Mon, 27 May 2013 14:17:48 GMT) Full text and rfc822 format available.

Message #24 received at 647742@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 647742@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libradsec: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 647742 RFP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library
noowner 647742
tag 647742 - pending
thanks

Hi,

This is an automatic email to change the status of libradsec back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting libradsec, please send a mail to
<control@bugs.debian.org> with:

 retitle 647742 ITP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library
 owner 647742 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <647742@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library' from 'ITP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:32:43 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Sam Hartman <hartmans@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:32:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#647742; Package wnpp. (Mon, 27 May 2013 14:43:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 May 2013 14:43:01 GMT) Full text and rfc822 format available.

Message #33 received at 647742@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Lucas Nussbaum <lucas@debian.org>
Cc: 647742@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#647742: libradsec: changing back from ITP to RFP
Date: Mon, 27 May 2013 10:32:52 -0400
 retitle 647742 ITP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library
 owner 647742 !
 thanks

Lucas, thanks for the prod.



my apologies for not keeping the bug updated.
The current packaging status of libradsec can be found at

git://git.project-moonshot.org/libradsec.git in the debian and libradsec
branches.

There are several reasons I have not uploaded:

1) Upstream has just gotten to a point where they think things might be
stable enough

2) There were some pending ABI changes that just got merged upstream

3) The Debian packages do not include some security enhancements that
would be required for release

4) The Debian packages have been available for that time to those
libradsec users testing with Debian in a private repo.

I totally agree I should have kept the ITP bug up to date.

Also, if any user wants me to accelerate getting this into Debian,
please write here and I'm happy to do that.



Changed Bug title to 'ITP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library' from 'RFP: libradsec -- RADIUS over TLS/DTLS/UDP/TCP library' Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Tue, 28 May 2013 13:06:08 GMT) Full text and rfc822 format available.

Owner recorded as Sam Hartman <hartmans@debian.org>. Request was from Sam Hartman <hartmans@debian.org> to control@bugs.debian.org. (Tue, 28 May 2013 13:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sam Hartman <hartmans@debian.org>:
Bug#647742; Package wnpp. (Thu, 06 Mar 2014 10:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@mit.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sam Hartman <hartmans@debian.org>. (Thu, 06 Mar 2014 10:42:05 GMT) Full text and rfc822 format available.

Message #42 received at 647742@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@mit.edu>
To: 647742@bugs.debian.org
Subject: update
Date: Thu, 06 Mar 2014 05:38:56 -0500
libradsec 0.0.5 seems stable enough to include in Debian.
I have packaging available at
git://git.project-moonshot.org/libradsec.git on the debian branch.
I want to get a review of a few things and will upload.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:55:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.